Package org.eclipse.emf.compare.internal.dmp

# Class diff_match_patch.Patch

java.lang.Object
org.eclipse.emf.compare.internal.dmp.diff_match_patch.Patch

Enclosing class:
  `diff_match_patch`

public static class diff_match_patch.Patch extends Object
Class representing one patch operation.

## Field Summary

Fields
Modifier and Type
Field
Description
`LinkedList<diff_match_patch.Diff>`
`diffs`
`int`
`length1`
`int`
`length2`
`int`
`start1`
`int`
`start2`

## Constructor Summary

Constructors
Constructor
Description
`Patch()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Emmulate GNU diff's format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### diffs

public LinkedList<diff_match_patch.Diff> diffs

### start1

public int start1

### start2

public int start2

### length1

public int length1

### length2

public int length2

## Constructor Details

### Patch

public Patch()
Constructor. Initializes with an empty list of diffs.

## Method Details

### toString

public String toString()
Emmulate GNU diff's format. Header: @@ -382,8 +481,9 @@ Indicies are printed as 1-based, not 0-based.

Overrides:
  `toString` in class `Object`
Returns:
  The GNU diff string.